#ifndef MARS_MReadMarsFile
#define MARS_MReadMarsFile

#ifndef MARS_MReadTree
#include "MReadTree.h"
#endif

class MTaskList;

class MReadMarsFile : public MReadTree
{
private:
    MReadTree *fRun;
    MTaskList *fTaskList; //! Tasklist for reinitialization

    Bool_t Notify();

    Bool_t PreProcess(MParList *pList);
  
public:
    MReadMarsFile(const char *treename, const char *filename=NULL, const char *name=NULL, const char *title=NULL);
    ~MReadMarsFile();

    Int_t AddFile(const char *fname);

    ClassDef(MReadMarsFile, 0)	// Reads a tree from file(s)
};

#endif
